From 43537d6201f06527249c51a9588b5db66489927e Mon Sep 17 00:00:00 2001
From: Kalle Valo <kvalo@codeaurora.org>
Date: Tue, 10 May 2016 10:13:16 +0300
Subject: [PATCH 01/14] pwcli: add a debug message to show if smtp password is
 set or not

The real password is not shown for security reasons.

Signed-off-by: Kalle Valo <kvalo@codeaurora.org>
---

Copyright (c) 2016, The Linux Foundation.
All rights reserved.

Redistribution and use in source and binary forms, with or without
modification, are permitted provided that the following conditions are
met:

1. Redistributions of source code must retain the above copyright
notice, this list of conditions and the following disclaimer.

2. Redistributions in binary form must reproduce the above copyright
notice, this list of conditions and the following disclaimer in the
documentation and/or other materials provided with the distribution.

3. Neither the name of the copyright holder nor the names of its
contributors may be used to endorse or promote products derived from
this software without specific prior written permission.

THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
"AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
HOLDER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
(INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.

 pwcli |    7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/pwcli b/pwcli
index 57a4fe4ac20b..faafc30c81b7 100755
--- a/pwcli
+++ b/pwcli
@@ -1302,6 +1302,13 @@ class PWCLI():
       logger.debug('smtp_port=%s' % self.smtp_port)
       logger.debug('smtp_encryption=%s' % self.smtp_encryption)
       logger.debug('smtp_username=%s' % self.smtp_username)
+
+      if self.smtp_password != None:
+         passwd = '<hidden>'
+      else:
+         passwd = '<not set>'
+
+      logger.debug('smtp_password=%s' % passwd)
       
       self.output('Connecting to %s' % self.url)
 
-- 
1.7.9.5

